using System;

using Grid;

namespace Grid.Extensions
{
	/// <summary>
	/// Exceptions that have to do with loading and maintaining extensions.
	/// </summary>
	public class ExtensionException : GridException
	{
		/// <summary>
		/// Construct a new ExtensionException
		/// </summary>
		/// <param name="msg">The message describing this exception.</param>
		public ExtensionException(string msg)
			: base(msg)
		{
		}

		/// <summary>
		/// Construct a new ExtensionException
		/// </summary>
		/// <param name="msg">The message describing this exception.</param>
		/// <param name="e">The cause of this exception.</param>
		public ExtensionException(string msg, Exception e)
			: base(msg, e)
		{
		}
	}
}