using System;

namespace Grid
{
	/// <summary>
	/// An exception type which generically represents some kind of environment
	/// problem.
	/// </summary>
	public class GridLibException : GridException
	{
		/// <summary>
		/// Construct a new GridLibException instance.
		/// </summary>
		/// <param name="msg">The message that describes this exception.
		/// </param>
		public GridLibException(string msg)
			: base(msg)
		{
		}
	}
}
