// Copyright (c) 2004, GBG, University of Virginia, All Rights Reserved
// Author: Mark Morgan, mmm2a@cs.virginia.edu

using System;

using Grid;

namespace Grid.Operations
{
	/// <summary>
	/// An exception type that represents some type of initialization
	/// exception.
	/// </summary>
	public class GridInitException : GridException
	{
		/// <summary>
		/// Construct a new initialization exception instance.
		/// </summary>
		/// <param name="msg">A message describing this
		/// exceptional condition.</param>
		public GridInitException(string msg)
			: base(msg)
		{
		}
	}
}