// Copyright (c) 2004, GBG, University of Virginia, All Rights Reserved
// Author: Mark Morgan, mmm2a@cs.virginia.edu

using System;
using System.Xml;

using Grid;

namespace Grid.ContextSpace
{
	/// <summary>
	/// Creation hint QNames that are well known in the system.
	/// </summary>
	public class WellknownCreationHints
	{
		/// <summary>
		/// This key will refer to a FactoryEntry
		/// </summary>
		static public readonly XmlQualifiedName CREATION_FACTORY = 
			new XmlQualifiedName("creation-factory",
				GridConstants.GRID_NS);
	}
}