// Copyright (c) 2004, GBG, University of Virginia, All Rights Reserved
// Author: Mark Morgan, mmm2a@cs.virginia.edu

using System;

using Grid;

namespace Grid.Operations
{
	/// <summary>
	/// An exception type which represents the fact that a CP failed for
	/// some reason.
	/// </summary>
	public class CpException : GridException
	{
		/// <summary>
		/// Construct a new CpException type.
		/// </summary>
		/// <param name="msg"></param>
		public CpException(string msg)
			: base(msg)
		{
		}
	}
}