// Copyright (c) 2004, GBG, University of Virginia, All Rights Reserved
// Author: Mark Morgan, mmm2a@cs.virginia.edu
//
// This code is based on auto generated code produced by wsdl.exe and
// has been cleaned up.  However, code comments are left as the generator
// produced them.

using System.Diagnostics;
using System.Xml;
using System.Xml.Serialization;
using System;
using System.Web.Services.Protocols;
using System.ComponentModel;
using System.Web.Services;

using Microsoft.Web.Services2;

using UVa.GCG.WSRF.Common.WS;
using UVa.GCG.WSRF.Common.WS.Addressing;

namespace Grid.Proxies
{   
	/// <remarks/>
	[DebuggerStepThrough]
	[DesignerCategory("code")]
	[WebServiceBinding(Name="FactoryBinding",
		Namespace="http://cs.virginia.edu/gbg/Factory/bindings")]
	public class FactoryServiceProxy : WebServicesClientProtocol 
	{        
		/// <remarks/>
		public FactoryServiceProxy(String URL) 
		{
			this.Url = URL;
		}

		/// <remarks/>
		public FactoryServiceProxy(EndpointReferenceType epr)
		{
			WSUtilities.setEPR(this, epr);
		}
        
		/// <remarks/>
		[SoapDocumentMethod(
			GridConstants.FACTORY_CREATE_ACTION,
			Use=System.Web.Services.Description.SoapBindingUse.Literal,
			ParameterStyle=SoapParameterStyle.Bare)]
		[return: XmlElement(GridConstants.FACTORY_CREATE_RESULT_ROOT,
			Namespace=GridConstants.FACTORY_NS)]
		public EndpointReferenceType create(
			[XmlArray(Namespace=GridConstants.FACTORY_NS)]
			[XmlArrayItem(Namespace=GridConstants.FACTORY_NS,
				IsNullable=false)]
			XmlElement[] creationHints) 
		{
			object[] results = this.Invoke("create", 
				new object[] {creationHints});
			return ((EndpointReferenceType)(results[0]));
		}
        
		/// <remarks/>
		public IAsyncResult Begincreate(XmlElement[] creationHints,
			AsyncCallback callback, object asyncState) 
		{
			return this.BeginInvoke("create", 
				new object[] {creationHints}, callback, asyncState);
		}
        
		/// <remarks/>
		public EndpointReferenceType Endcreate(IAsyncResult asyncResult) 
		{
			object[] results = this.EndInvoke(asyncResult);
			return ((EndpointReferenceType)(results[0]));
		}
	}
}